<html>
<head><title>Zmień kolejność</title></head>
<body>
<h1>Zmień kolejność</h1>
<%
String st = request.getParameter("string");
if(st != null) {
    StringBuffer bf = new StringBuffer(st);
    String rv = bf.reverse().toString();
%>
<p>Odwrotnością  <%= st %> jest <%= rv %>.</p>
<%
}
else {
%>
<form action="<%= request.getRequestURI() %>">
<p>Ciąg znaków: <input type="text" name="string"><br>
<input type="submit"></p>
</form>
<%
}
%>
</body>
</html>

